> For the complete documentation index, see [llms.txt](https://developers.aixchain.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.aixchain.com/http-api/api-list/smart-contracts/updatesetting.md).

# UpdateSetting

Update the consume\_user\_resource\_percent parameter of a smart contract

**BODY PARAMS**\
`{`

**`contract_address`**` ``string`

**`owner_address`**` ``string`

**`consume_user_resource_percent`**` ``int32`

**`visible`**` ``boolean (Optional)`

**`permission_id`**` ``int32 (Optional)`

`}`

**Note:**  &#x20;

* **owner address** is transaction creator address, in hex string format.
* **contract address** is the address of the contract to be modified, in hex string format.
* **consume\_user\_resource\_percent** is consume user's resource percentage. It should be an integer between \[0, 100]. if 0, means it does not consume user's resource until the developer's resource has been used up
* **permission\_id** for multi-signature
* **visible:** whehter the address is in base58check format.

**Example:**

curl --request POST\
\--url <http://172.104.51.182:16667/wallet/updatesetting>\
\--header 'Accept: application/json'\
\--header 'Content-Type: application/json'\
\--data '{ "owner\_address": "AFzFXoQCgUeoApjejKM9B46NgFGHXvUyKz", "contract\_address": "AV27cVbuGmTv9q6qgtPxsLUkuG9ohUUVPd", "consume\_user\_resource\_percent":10, "visible": true }

**Input:**&#x20;

`{`

&#x20;`"owner_address": "AFzFXoQCgUeoApjejKM9B46NgFGHXvUyKz", "contract_address": "AV27cVbuGmTv9q6qgtPxsLUkuG9ohUUVPd", "consume_user_resource_percent":10, "visible": true`&#x20;

`}`

**Response:**&#x20;

`{`

`"visible": true, "txID": "94d5f099c4382421c3576502e9c0e22a71ee51c3122bdf79dfc835f028d0acf9", "raw_data": { "contract": [ { "parameter": { "value": { "consume_user_resource_percent": 10, "owner_address": "AFzFXoQCgUeoApjejKM9B46NgFGHXvUyKz", "contract_address": "AV27cVbuGmTv9q6qgtPxsLUkuG9ohUUVPd" }, "type_url": "type.googleapis.com/protocol.UpdateSettingContract" }, "type": "UpdateSettingContract" } ], "ref_block_bytes": "7652", "ref_block_hash": "f7ccc87584da42f7", "expiration": 1639985361000, "timestamp": 1639985303289 }, "raw_data_hex": "0a0276522208f7ccc87584da42f740e8e0fab5dd2f5a6a082112660a32747970652e676f6f676c65617069732e636f6d2f70726f746f636f6c2e55706461746553657474696e67436f6e747261637412300a15414203485a535a4072c9fbfaaddfe2a010ad0bcdb0121541d0f723a417a54e5629d865e05db8a45b79f0a9c3180a70f99df7b5dd2f"`&#x20;

`}`

\=> Continue you call **gettransactionsign** API then call **broadcasttransaction** API

We will the final result: The transaction created success on AIXChain network.\
`{`&#x20;

`"result": true, "txid": "94d5f099c4382421c3576502e9c0e22a71ee51c3122bdf79dfc835f028d0acf9"`&#x20;

`}`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.aixchain.com/http-api/api-list/smart-contracts/updatesetting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
